'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('utils', function () {
  it('isNull', function () {
    expect((0, _utils.isNull)()).toBeTruthy();
    expect((0, _utils.isNull)(null)).toBeTruthy();

    expect((0, _utils.isNull)('')).toBeFalsy();
    expect((0, _utils.isNull)(0)).toBeFalsy();
  });

  it('isObject', function () {
    expect((0, _utils.isObject)()).toBeFalsy();
    expect((0, _utils.isObject)(null)).toBeFalsy();
    expect((0, _utils.isObject)('')).toBeFalsy();
    expect((0, _utils.isObject)(0)).toBeFalsy();
    expect((0, _utils.isObject)([])).toBeFalsy();

    expect((0, _utils.isObject)({})).toBeTruthy();
    expect((0, _utils.isObject)({ foo: 'bar' })).toBeTruthy();
  });

  it('isFunction', function () {
    expect((0, _utils.isFunction)()).toBeFalsy();
    expect((0, _utils.isFunction)({})).toBeFalsy();
    expect((0, _utils.isFunction)([])).toBeFalsy();

    expect((0, _utils.isFunction)(function () {})).toBeTruthy();
  });

  it('getDisplayName', function () {
    var Component1 = function Component1() {
      return _react2.default.createElement(
        'div',
        null,
        'foo'
      );
    };
    var Component2 = function Component2() {
      return _react2.default.createElement(
        'div',
        null,
        'bar'
      );
    };
    Component2.displayName = 'Bar';
    expect((0, _utils.getDisplayName)(Component1)).toBe('Component1');
    expect((0, _utils.getDisplayName)(Component2)).toBe('Bar');
    expect((0, _utils.getDisplayName)('div')).toBe('div');
  });
});