'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _shapes = require('../shapes');

var _shapes2 = _interopRequireDefault(_shapes);

var _Square = require('./Square');

var _Square2 = _interopRequireDefault(_Square);

var _align = require('../align');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Circle = function Circle(_ref) {
  var color = _ref.color,
      width = _ref.width,
      height = _ref.height,
      children = _ref.children,
      diameter = _ref.diameter,
      align = _ref.align,
      fillerStyle = _ref.fillerStyle;
  return _react2.default.createElement(
    _Square2.default,
    { color: 'transparent', width: width, height: height, side: diameter, align: align },
    _react2.default.createElement(
      'div',
      {
        style: _extends({
          background: color
        }, fillerStyle, {
          width: '100%',
          height: '100%',
          borderRadius: '50%'
        })
      },
      children
    )
  );
};

Circle.propTypes = _extends({}, _shapes2.default, {
  diameter: _Square2.default.propTypes.side,
  align: _propTypes2.default.string
});

Circle.defaultProps = {
  width: null,
  height: null,
  diameter: null,
  align: _align.CENTER,
  fillerStyle: null
};

exports.default = Circle;