'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _shapes = require('../shapes');

var _shapes2 = _interopRequireDefault(_shapes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var $nbsp = '\xA0';

var Text = function Text(_ref) {
  var color = _ref.color,
      width = _ref.width,
      height = _ref.height,
      length = _ref.length,
      lineHeight = _ref.lineHeight,
      fontSize = _ref.fontSize,
      fillerStyle = _ref.fillerStyle;
  return _react2.default.createElement(
    'div',
    {
      style: {
        background: 'transparent',
        overflow: 'hidden',
        width: width,
        height: height,
        lineHeight: lineHeight,
        fontSize: fontSize
      }
    },
    _react2.default.createElement(
      'span',
      {
        style: _extends({
          background: color
        }, fillerStyle, {
          wordBreak: 'break-word',
          wordWrap: 'break-word'
        })
      },
      ('' + $nbsp.repeat(2)).repeat(length)
    )
  );
};

Text.propTypes = _extends({}, _shapes2.default, {
  length: _propTypes2.default.number,
  lineHeight: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.string]),
  fontSize: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.string])
});

Text.defaultProps = {
  width: null,
  height: null,
  length: 100,
  lineHeight: 2.3,
  fontSize: '0.7em',
  fillerStyle: null
};

exports.default = Text;