'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Holders', function () {
  it('render Circle correctly', function () {
    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Circle,
      null,
      'foo-0'
    ));
    expect(wrapper).toMatchSnapshot();

    var props = {
      color: 'red',
      width: 50,
      height: 60,
      fillerStyle: {
        width: 40,
        color: 'blue'
      }
    };
    wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Circle,
      props,
      'foo-0-1'
    ));
    expect(wrapper).toMatchSnapshot();
  });

  it('render Fill correctly', function () {
    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Fill,
      null,
      'foo-1'
    ));
    expect(wrapper).toMatchSnapshot();

    var props = {
      color: 'red',
      width: '60%',
      height: '30px'
    };
    wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Fill,
      props,
      'foo-1-1'
    ));
    expect(wrapper).toMatchSnapshot();
  });

  it('render Square correctly', function () {
    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Square,
      null,
      'foo-2'
    ));
    expect(wrapper).toMatchSnapshot();

    var props = {
      color: 'red',
      width: 50,
      height: 60
    };
    wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Square,
      props,
      'foo-2-1'
    ));
    expect(wrapper).toMatchSnapshot();
  });

  it('render Table correctly', function () {
    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Table,
      null,
      'foo-3'
    ));
    expect(wrapper).toMatchSnapshot();

    var props = {
      color: 'red',
      width: 360,
      height: 60,
      gap: 4
    };
    wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Table,
      props,
      'foo-3-1'
    ));
    expect(wrapper).toMatchSnapshot();
  });

  it('render Text correctly', function () {
    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Text,
      null,
      'foo-4'
    ));
    expect(wrapper).toMatchSnapshot();

    var props = {
      color: 'red',
      length: 300
    };
    wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _index.Text,
      props,
      'foo-4-1'
    ));
    expect(wrapper).toMatchSnapshot();
  });
});